class GetAppLocations {
  int? code;
  bool? status;
  String? message;
  List<AppLocationDetails>? details;

  GetAppLocations({this.code, this.status, this.message, this.details});

  GetAppLocations.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    status = json['status'];
    message = json['message'];
    if (json['details'] != null) {
      details = <AppLocationDetails>[];
      json['details'].forEach((v) {
        details!.add(new AppLocationDetails.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['status'] = this.status;
    data['message'] = this.message;
    if (this.details != null) {
      data['details'] = this.details!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class AppLocationDetails {
  int? applocationid;
  String? locationname;
  String? image;
  String? city;
  String? state;
  String? postcode;
  String? latitude;
  String? longitude;

  AppLocationDetails(
      {this.applocationid,
        this.locationname,
        this.image,
        this.city,
        this.state,
        this.postcode,
        this.latitude,
        this.longitude});

  AppLocationDetails.fromJson(Map<String, dynamic> json) {
    applocationid = json['applocationid'];
    locationname = json['locationname'];
    image = json['image'];
    city = json['city'];
    state = json['state'];
    postcode = json['postcode'];
    latitude = json['latitude'];
    longitude = json['longitude'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['applocationid'] = this.applocationid;
    data['locationname'] = this.locationname;
    data['image'] = this.image;
    data['city'] = this.city;
    data['state'] = this.state;
    data['postcode'] = this.postcode;
    data['latitude'] = this.latitude;
    data['longitude'] = this.longitude;
    return data;
  }
}
